# complex File Reference

`#include <bits/c++config.h>`
`#include <bits/cpp_type_traits.h>`
`#include <cmath>`
`#include <sstream>`

Include dependency graph for complex:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | std

## Detailed Description

This is a Standard C++ Library header. You should `#include` this header in your programs, rather than any of the "st[dl]_*.h" implementation files.

Definition in file complex.